// Hiscore handling routines
// Hiscore display for menu and entering new trigram

// (c) SagaDS

#include <cpctelera.h>

// Use static values to initialize table
extern void initHiScore ();

// Checks if HiScore was beaten, rc=1 means yes
extern u8 checkHighScore (u8 game, u16 time);
// Returns a pointer to the trigram string
extern char *getHiscoreString (u8 gGame);
extern u16 getHiscoreValue (u8 game);

// Initialize the input string for HS
extern void initHSInput (u8 game);

// HS interactive cursor
extern void prevHSChar ( );
extern void nextHSChar ( );
extern void prevHSPos ( );
extern void nextHSPos ( );

// Ends the interactive HS field and save if needed and disk
extern void endHSDisplay ();
