// Music handling routines
// In collaboration with the interrupt method in clock

// (c) SagaDS

#include <cpctelera.h>

// Constants for msuic and SFX
#define MUS_MENU   0
#define MUS_THEM1  1
#define MUS_HSCORE 2
#define MUS_WIN    3
#define MUS_EMPTY  4
#define MAX_MUS    5

#define SFX_DIG  0
#define SFX_DENY 2
#define SFX_BOOM 3
#define SFX_FLAG 1
#define SFX_DFLG 4
#define MAX_SFX  5

extern void initMusic ();

extern void startMusic (u8 songNumber);
extern void playMusic ();
extern void stopMusic ();

extern void playSFX ( u8 sfxNumber);
extern void stopSFX ();

// For Music menu handling
extern u8 getMusicOption ();
extern void changeMusicOption ();
