// Main playfield variables and functions

// (c) SagaDS

#include <cpctelera.h>

extern u8 bombTable [32*24]; // 0 : no bomb, 1-8 : nbBombAround, 128 bit 7 set : bomb
extern u8 digTable  [32*24]; // 0 : not used, 1 : digged, 2 : flagged, 3 : ?

extern i8  gGridWidth, gGridHeight;
extern u8  gGridNbBomb;
extern u16 gGridSize;

extern void initGrid ();

extern void initDig ();

// ptXX ptY are grid position of the first click, so if autostart is used it will create a no bomb zone
extern void initBombField (i8 ptX, i8 ptY);

extern u8 digCase ();     // return 0 if ok, 1 if KaBoom, 2 if finished
extern void flagCase ();  // Toggle flag and question marks if used
